ECHO OFF
TITLE Carnage Contest Noir mod manager
CLS
:MENU
ECHO.
ECHO ===================================================
ECHO          Carnage Contest Noir mod manager
ECHO ===================================================
ECHO.
IF EXIST gfx_noirbackup (ECHO      Noir mod already installed!)
IF EXIST gfx_noir (ECHO  1 - Install Carnage Contest Noir mod.)
IF EXIST gfx_noirbackup (ECHO  2 - Uninstall Carnage Contest Noir mod.)
IF EXIST gfx_noir (ECHO      Noir mod have not been installed!)
ECHO.
ECHO  3 - Play Carnage Contest. OpenGL.
ECHO  4 - Play Carnage Contest. OpenGL. No menu music.
ECHO  5 - Play Carnage Contest. DirectX.
ECHO  6 - Play Carnage Contest. DirectX. No menu music.
ECHO.
REM ECHO  H - Delete hotseat replays
REM ECHO  A - Delete all non-renamed replays
REM ECHO.
REM ^Dont mention these. If i would include them, they would cause overloaded interface, which sucks. Maybe later.
REM ^   .     ,     ,    .   .
ECHO  Anything else - Exit
ECHO.
SET /P M=Type a key, then press ENTER: 
IF %M%==1 GOTO INSTALL
IF %M%==2 GOTO UNINSTALL
IF %M%==3 GOTO CCOGL
IF %M%==4 GOTO CCOGLNM
IF %M%==5 GOTO CCDX
IF %M%==6 (GOTO CCDXNM) ELSE
EXIT
:CCOGL
start carnagecontest.exe -opengl
pause
exit
:CCOGLNM
start carnagecontest.exe -opengl -nomenusfx
exit
:CCDX
start carnagecontest.exe
exit
:CCDXNM
start carnagecontest.exe -nomenusfx
exit
:INSTALL
cls
IF NOT EXIST gfx_noir (
	ECHO You allready have this mod installed.
	pause
	cls
	GOTO MENU
) ELSE (
	REM Phase 1 - Making a Backup folder
	REM  1 -    
	REM LEEEEEROOOOOOOOOOY nJENKINS!!!!! q-q
	MD gfx_noirbackup
	CD gfx_noirbackup
	MD modifiers
	MD textures
	REM Moving sh*t from GFX to Backup folder
	REM  **  GFX  
	CD ../gfx
	MOVE "attention.png" "../gfx_noirbackup/attention.png"
	MOVE "clouds.png" "../gfx_noirbackup/clouds.png"
	MOVE "gui_no.png" "../gfx_noirbackup/gui_no.png"
	MOVE "gui_storm_thingy.png" "../gfx_noirbackup/gui_storm_thingy.png"
	MOVE "gui_yes.png" "../gfx_noirbackup/gui_yes.png"
	MOVE "icon_movement.png" "../gfx_noirbackup/icon_movement.png"
	MOVE "icon_tools.png" "../gfx_noirbackup/icon_tools.png"
	MOVE "icon_weapons.png" "../gfx_noirbackup/icon_weapons.png"
	MOVE "menu_host.png" "../gfx_noirbackup/menu_host.png"
	MOVE "menu_hotseat.png" "../gfx_noirbackup/menu_hotseat.png"
	MOVE "menu_join.png" "../gfx_noirbackup/menu_join.png"
	MOVE "menu_mission.png" "../gfx_noirbackup/menu_mission.png"
	MOVE "pointer.png" "../gfx_noirbackup/pointer.png"
	MOVE "pointer_click.png" "../gfx_noirbackup/pointer_click.png"
	MOVE "terrain_style.bmp" "../gfx_noirbackup/terrain_style.bmp"
	MOVE "title.png" "../gfx_noirbackup/title.png"
	MOVE "title_arnage.png" "../gfx_noirbackup/title_arnage.png"
	MOVE "title_bigc.png" "../gfx_noirbackup/title_bigc.png"
	MOVE "title_ontest.png" "../gfx_noirbackup/title_ontest.png"
	MOVE "title_smallc.png" "../gfx_noirbackup/title_smallc.png"
	REM Moving sh*t from GFX/Modifiers to a backup folder
	REM  **  GFX/Modifiers  
	CD ../gfx/modifiers
	MOVE "desertgrass.png" "../../gfx_noirbackup/modifiers/desertgrass.png"
	MOVE "foliage0.png" "../../gfx_noirbackup/modifiers/foliage0.png"
	MOVE "foliage1.png" "../../gfx_noirbackup/modifiers/foliage1.png"
	MOVE "foliage2.png" "../../gfx_noirbackup/modifiers/foliage2.png"
	MOVE "foliage3.png" "../../gfx_noirbackup/modifiers/foliage3.png"
	MOVE "foliage4.png" "../../gfx_noirbackup/modifiers/foliage4.png"
	MOVE "foliage5.png" "../../gfx_noirbackup/modifiers/foliage5.png"
	MOVE "grass.png" "../../gfx_noirbackup/modifiers/grass.png"
	MOVE "hassock0.png" "../../gfx_noirbackup/modifiers/hassock0.png"
	MOVE "hassock1.png" "../../gfx_noirbackup/modifiers/hassock1.png"
	MOVE "hassock2.png" "../../gfx_noirbackup/modifiers/hassock2.png"
	MOVE "hassock3.png" "../../gfx_noirbackup/modifiers/hassock3.png"
	MOVE "nograss.png" "../../gfx_noirbackup/modifiers/nograss.png"
	MOVE "reed0.png" "../../gfx_noirbackup/modifiers/reed0.png"
	MOVE "reed1.png" "../../gfx_noirbackup/modifiers/reed1.png"
	MOVE "reed2.png" "../../gfx_noirbackup/modifiers/reed2.png"
	MOVE "root0.png" "../../gfx_noirbackup/modifiers/root0.png"
	MOVE "root1.png" "../../gfx_noirbackup/modifiers/root1.png"
	MOVE "root2.png" "../../gfx_noirbackup/modifiers/root2.png"
	MOVE "root3.png" "../../gfx_noirbackup/modifiers/root3.png"
	MOVE "root4.png" "../../gfx_noirbackup/modifiers/root4.png"
	MOVE "root5.png" "../../gfx_noirbackup/modifiers/root5.png"
	MOVE "root6.png" "../../gfx_noirbackup/modifiers/root6.png"
	MOVE "root7.png" "../../gfx_noirbackup/modifiers/root7.png"
	MOVE "snowgrass.png" "../../gfx_noirbackup/modifiers/snowgrass.png"
	MOVE "treeleaves.png" "../../gfx_noirbackup/modifiers/treeleaves.png"
	REM Moving sh*t from GFX/Textures to a backup folder
	REM    GFX/Textures  
	CD ../../gfx/textures
	MOVE "tex_black.bmp" "../../gfx_noirbackup/textures/tex_black.bmp"
	MOVE "tex_blackrock.bmp" "../../gfx_noirbackup/textures/tex_blackrock.bmp"
	MOVE "tex_desert.bmp" "../../gfx_noirbackup/textures/tex_desert.bmp"
	MOVE "tex_desertrock.bmp" "../../gfx_noirbackup/textures/tex_desertrock.bmp"
	MOVE "tex_earth.bmp" "../../gfx_noirbackup/textures/tex_earth.bmp"
	MOVE "tex_mars.bmp" "../../gfx_noirbackup/textures/tex_mars.bmp"
	MOVE "tex_rock.bmp" "../../gfx_noirbackup/textures/tex_rock.bmp"
	MOVE "tex_sand.bmp" "../../gfx_noirbackup/textures/tex_sand.bmp"
	MOVE "tex_snow.bmp" "../../gfx_noirbackup/textures/tex_snow.bmp"
	MOVE "tex_snowrock.bmp" "../../gfx_noirbackup/textures/tex_snowrock.bmp"
	MOVE "tex_snowsand.bmp" "../../gfx_noirbackup/textures/tex_snowsand.bmp"
	REM Phase 2 - Installing mod: Moving sh*t from Noir GFX into game folder
	REM  2 -  :  **   GFX   
	CD ../../gfx_noir
	MOVE "attention.png" "../gfx/attention.png"
	MOVE "clouds.png" "../gfx/clouds.png"
	MOVE "gui_no.png" "../gfx/gui_no.png"
	MOVE "gui_storm_thingy.png" "../gfx/gui_storm_thingy.png"
	MOVE "gui_yes.png" "../gfx/gui_yes.png"
	MOVE "icon_movement.png" "../gfx/icon_movement.png"
	MOVE "icon_tools.png" "../gfx/icon_tools.png"
	MOVE "icon_weapons.png" "../gfx/icon_weapons.png"
	MOVE "menu_host.png" "../gfx/menu_host.png"
	MOVE "menu_hotseat.png" "../gfx/menu_hotseat.png"
	MOVE "menu_join.png" "../gfx/menu_join.png"
	MOVE "menu_mission.png" "../gfx/menu_mission.png"
	MOVE "pointer.png" "../gfx/pointer.png"
	MOVE "pointer_click.png" "../gfx/pointer_click.png"
	MOVE "terrain_style.bmp" "../gfx/terrain_style.bmp"
	MOVE "title.png" "../gfx/title.png"
	MOVE "title_arnage.png" "../gfx/title_arnage.png"
	MOVE "title_bigc.png" "../gfx/title_bigc.png"
	MOVE "title_ontest.png" "../gfx/title_ontest.png"
	MOVE "title_smallc.png" "../gfx/title_smallc.png"
	REM Moving sh*t from Noir GFX/Modifiers into game folder
	REM  **   GFX/Modifiers   
	CD ../gfx_noir/modifiers
	MOVE "desertgrass.png" "../../gfx/modifiers/desertgrass.png"
	MOVE "foliage0.png" "../../gfx/modifiers/foliage0.png"
	MOVE "foliage1.png" "../../gfx/modifiers/foliage1.png"
	MOVE "foliage2.png" "../../gfx/modifiers/foliage2.png"
	MOVE "foliage3.png" "../../gfx/modifiers/foliage3.png"
	MOVE "foliage4.png" "../../gfx/modifiers/foliage4.png"
	MOVE "foliage5.png" "../../gfx/modifiers/foliage5.png"
	MOVE "grass.png" "../../gfx/modifiers/grass.png"
	MOVE "hassock0.png" "../../gfx/modifiers/hassock0.png"
	MOVE "hassock1.png" "../../gfx/modifiers/hassock1.png"
	MOVE "hassock2.png" "../../gfx/modifiers/hassock2.png"
	MOVE "hassock3.png" "../../gfx/modifiers/hassock3.png"
	MOVE "nograss.png" "../../gfx/modifiers/nograss.png"
	MOVE "reed0.png" "../../gfx/modifiers/reed0.png"
	MOVE "reed1.png" "../../gfx/modifiers/reed1.png"
	MOVE "reed2.png" "../../gfx/modifiers/reed2.png"
	MOVE "root0.png" "../../gfx/modifiers/root0.png"
	MOVE "root1.png" "../../gfx/modifiers/root1.png"
	MOVE "root2.png" "../../gfx/modifiers/root2.png"
	MOVE "root3.png" "../../gfx/modifiers/root3.png"
	MOVE "root4.png" "../../gfx/modifiers/root4.png"
	MOVE "root5.png" "../../gfx/modifiers/root5.png"
	MOVE "root6.png" "../../gfx/modifiers/root6.png"
	MOVE "root7.png" "../../gfx/modifiers/root7.png"
	MOVE "snowgrass.png" "../../gfx/modifiers/snowgrass.png"
	MOVE "treeleaves.png" "../../gfx/modifiers/treeleaves.png"
	REM Moving sh*t from Noir GFX/Textures into game folder
	REM  **   GFX/Textures   
	CD ../../gfx_noir/textures
	MOVE "tex_black.bmp" "../../gfx/textures/tex_black.bmp"
	MOVE "tex_blackrock.bmp" "../../gfx/textures/tex_blackrock.bmp"
	MOVE "tex_desert.bmp" "../../gfx/textures/tex_desert.bmp"
	MOVE "tex_desertrock.bmp" "../../gfx/textures/tex_desertrock.bmp"
	MOVE "tex_earth.bmp" "../../gfx/textures/tex_earth.bmp"
	MOVE "tex_mars.bmp" "../../gfx/textures/tex_mars.bmp"
	MOVE "tex_rock.bmp" "../../gfx/textures/tex_rock.bmp"
	MOVE "tex_sand.bmp" "../../gfx/textures/tex_sand.bmp"
	MOVE "tex_snow.bmp" "../../gfx/textures/tex_snow.bmp"
	MOVE "tex_snowrock.bmp" "../../gfx/textures/tex_snowrock.bmp"
	MOVE "tex_snowsand.bmp" "../../gfx/textures/tex_snowsand.bmp"
	REM Removing sh*t. I mean, empty directory.
	REM  **, ..  .
	CD ../../
	RD gfx_noir /S /Q
	cls
	ECHO Noir mod succesfully installed.
	REM \o/
	pause
	cls
	GOTO MENU
)
:UNINSTALL
cls
IF EXIST gfx_noir (
	ECHO You have not installed this mod yet.
	pause
	cls
	GOTO MENU
) ELSE (
	REM Phase 1 - Making a mod directory
	REM  1 -    
	REM LEEEEEROOOOOOOOOOY nJENKINS!!!!! q-q
	MD gfx_noir
	CD gfx_noir
	MD modifiers
	MD textures
	REM Moving sh*t from GFX which is now Noir to gfx_noir folder
	REM    GFX      
	CD ../gfx
	MOVE "attention.png" "../gfx_noir/attention.png"
	MOVE "clouds.png" "../gfx_noir/clouds.png"
	MOVE "gui_no.png" "../gfx_noir/gui_no.png"
	MOVE "gui_storm_thingy.png" "../gfx_noir/gui_storm_thingy.png"
	MOVE "gui_yes.png" "../gfx_noir/gui_yes.png"
	MOVE "icon_movement.png" "../gfx_noir/icon_movement.png"
	MOVE "icon_tools.png" "../gfx_noir/icon_tools.png"
	MOVE "icon_weapons.png" "../gfx_noir/icon_weapons.png"
	MOVE "menu_host.png" "../gfx_noir/menu_host.png"
	MOVE "menu_hotseat.png" "../gfx_noir/menu_hotseat.png"
	MOVE "menu_join.png" "../gfx_noir/menu_join.png"
	MOVE "menu_mission.png" "../gfx_noir/menu_mission.png"
	MOVE "pointer.png" "../gfx_noir/pointer.png"
	MOVE "pointer_click.png" "../gfx_noir/pointer_click.png"
	MOVE "terrain_style.bmp" "../gfx_noir/terrain_style.bmp"
	MOVE "title.png" "../gfx_noir/title.png"
	MOVE "title_arnage.png" "../gfx_noir/title_arnage.png"
	MOVE "title_bigc.png" "../gfx_noir/title_bigc.png"
	MOVE "title_ontest.png" "../gfx_noir/title_ontest.png"
	MOVE "title_smallc.png" "../gfx_noir/title_smallc.png"
	REM Moving sh*t from Noir GFX/Modifiers into gfx_noir folder
	REM  **  GFX/Modifiers      
	CD ../gfx/modifiers
	MOVE "desertgrass.png" "../../gfx_noir/modifiers/desertgrass.png"
	MOVE "foliage0.png" "../../gfx_noir/modifiers/foliage0.png"
	MOVE "foliage1.png" "../../gfx_noir/modifiers/foliage1.png"
	MOVE "foliage2.png" "../../gfx_noir/modifiers/foliage2.png"
	MOVE "foliage3.png" "../../gfx_noir/modifiers/foliage3.png"
	MOVE "foliage4.png" "../../gfx_noir/modifiers/foliage4.png"
	MOVE "foliage5.png" "../../gfx_noir/modifiers/foliage5.png"
	MOVE "grass.png" "../../gfx_noir/modifiers/grass.png"
	MOVE "hassock0.png" "../../gfx_noir/modifiers/hassock0.png"
	MOVE "hassock1.png" "../../gfx_noir/modifiers/hassock1.png"
	MOVE "hassock2.png" "../../gfx_noir/modifiers/hassock2.png"
	MOVE "hassock3.png" "../../gfx_noir/modifiers/hassock3.png"
	MOVE "nograss.png" "../../gfx_noir/modifiers/nograss.png"
	MOVE "reed0.png" "../../gfx_noir/modifiers/reed0.png"
	MOVE "reed1.png" "../../gfx_noir/modifiers/reed1.png"
	MOVE "reed2.png" "../../gfx_noir/modifiers/reed2.png"
	MOVE "root0.png" "../../gfx_noir/modifiers/root0.png"
	MOVE "root1.png" "../../gfx_noir/modifiers/root1.png"
	MOVE "root2.png" "../../gfx_noir/modifiers/root2.png"
	MOVE "root3.png" "../../gfx_noir/modifiers/root3.png"
	MOVE "root4.png" "../../gfx_noir/modifiers/root4.png"
	MOVE "root5.png" "../../gfx_noir/modifiers/root5.png"
	MOVE "root6.png" "../../gfx_noir/modifiers/root6.png"
	MOVE "root7.png" "../../gfx_noir/modifiers/root7.png"
	MOVE "snowgrass.png" "../../gfx_noir/modifiers/snowgrass.png"
	MOVE "treeleaves.png" "../../gfx_noir/modifiers/treeleaves.png"
	REM Moving sh*t from Noir GFX/Textures into gfx_noir folder
	REM  **  GFX/Textures      
	CD ../../gfx/textures
	MOVE "tex_black.bmp" "../../gfx_noir/textures/tex_black.bmp"
	MOVE "tex_blackrock.bmp" "../../gfx_noir/textures/tex_blackrock.bmp"
	MOVE "tex_desert.bmp" "../../gfx_noir/textures/tex_desert.bmp"
	MOVE "tex_desertrock.bmp" "../../gfx_noir/textures/tex_desertrock.bmp"
	MOVE "tex_earth.bmp" "../../gfx_noir/textures/tex_earth.bmp"
	MOVE "tex_mars.bmp" "../../gfx_noir/textures/tex_mars.bmp"
	MOVE "tex_rock.bmp" "../../gfx_noir/textures/tex_rock.bmp"
	MOVE "tex_sand.bmp" "../../gfx_noir/textures/tex_sand.bmp"
	MOVE "tex_snow.bmp" "../../gfx_noir/textures/tex_snow.bmp"
	MOVE "tex_snowrock.bmp" "../../gfx_noir/textures/tex_snowrock.bmp"
	MOVE "tex_snowsand.bmp" "../../gfx_noir/textures/tex_snowsand.bmp"
	REM Phase 2 - Restoring original game files from backup
	REM Moving sh*t from backed up GFX into the game folder
	REM  2 -     
	REM  **   GFX   
	CD ../../gfx_noirbackup
	MOVE "attention.png" "../gfx/attention.png"
	MOVE "clouds.png" "../gfx/clouds.png"
	MOVE "gui_no.png" "../gfx/gui_no.png"
	MOVE "gui_storm_thingy.png" "../gfx/gui_storm_thingy.png"
	MOVE "gui_yes.png" "../gfx/gui_yes.png"
	MOVE "icon_movement.png" "../gfx/icon_movement.png"
	MOVE "icon_tools.png" "../gfx/icon_tools.png"
	MOVE "icon_weapons.png" "../gfx/icon_weapons.png"
	MOVE "menu_host.png" "../gfx/menu_host.png"
	MOVE "menu_hotseat.png" "../gfx/menu_hotseat.png"
	MOVE "menu_join.png" "../gfx/menu_join.png"
	MOVE "menu_mission.png" "../gfx/menu_mission.png"
	MOVE "pointer.png" "../gfx/pointer.png"
	MOVE "pointer_click.png" "../gfx/pointer_click.png"
	MOVE "terrain_style.bmp" "../gfx/terrain_style.bmp"
	MOVE "title.png" "../gfx/title.png"
	MOVE "title_arnage.png" "../gfx/title_arnage.png"
	MOVE "title_bigc.png" "../gfx/title_bigc.png"
	MOVE "title_ontest.png" "../gfx/title_ontest.png"
	MOVE "title_smallc.png" "../gfx/title_smallc.png"
	REM Moving sh*t from backed up GFX/Modifiers into the game folder
	REM  **   GFX/Modifiers   
	CD ../gfx_noirbackup/modifiers
	MOVE "desertgrass.png" "../../gfx/modifiers/desertgrass.png"
	MOVE "foliage0.png" "../../gfx/modifiers/foliage0.png"
	MOVE "foliage1.png" "../../gfx/modifiers/foliage1.png"
	MOVE "foliage2.png" "../../gfx/modifiers/foliage2.png"
	MOVE "foliage3.png" "../../gfx/modifiers/foliage3.png"
	MOVE "foliage4.png" "../../gfx/modifiers/foliage4.png"
	MOVE "foliage5.png" "../../gfx/modifiers/foliage5.png"
	MOVE "grass.png" "../../gfx/modifiers/grass.png"
	MOVE "hassock0.png" "../../gfx/modifiers/hassock0.png"
	MOVE "hassock1.png" "../../gfx/modifiers/hassock1.png"
	MOVE "hassock2.png" "../../gfx/modifiers/hassock2.png"
	MOVE "hassock3.png" "../../gfx/modifiers/hassock3.png"
	MOVE "nograss.png" "../../gfx/modifiers/nograss.png"
	MOVE "reed0.png" "../../gfx/modifiers/reed0.png"
	MOVE "reed1.png" "../../gfx/modifiers/reed1.png"
	MOVE "reed2.png" "../../gfx/modifiers/reed2.png"
	MOVE "root0.png" "../../gfx/modifiers/root0.png"
	MOVE "root1.png" "../../gfx/modifiers/root1.png"
	MOVE "root2.png" "../../gfx/modifiers/root2.png"
	MOVE "root3.png" "../../gfx/modifiers/root3.png"
	MOVE "root4.png" "../../gfx/modifiers/root4.png"
	MOVE "root5.png" "../../gfx/modifiers/root5.png"
	MOVE "root6.png" "../../gfx/modifiers/root6.png"
	MOVE "root7.png" "../../gfx/modifiers/root7.png"
	MOVE "snowgrass.png" "../../gfx/modifiers/snowgrass.png"
	MOVE "treeleaves.png" "../../gfx/modifiers/treeleaves.png"
	REM Moving sh*t from backed up GFX/Textures into the game folder
	REM  **   GFX/Textures   
	CD ../../gfx_noirbackup/textures
	MOVE "tex_black.bmp" "../../gfx/textures/tex_black.bmp"
	MOVE "tex_blackrock.bmp" "../../gfx/textures/tex_blackrock.bmp"
	MOVE "tex_desert.bmp" "../../gfx/textures/tex_desert.bmp"
	MOVE "tex_desertrock.bmp" "../../gfx/textures/tex_desertrock.bmp"
	MOVE "tex_earth.bmp" "../../gfx/textures/tex_earth.bmp"
	MOVE "tex_mars.bmp" "../../gfx/textures/tex_mars.bmp"
	MOVE "tex_rock.bmp" "../../gfx/textures/tex_rock.bmp"
	MOVE "tex_sand.bmp" "../../gfx/textures/tex_sand.bmp"
	MOVE "tex_snow.bmp" "../../gfx/textures/tex_snow.bmp"
	MOVE "tex_snowrock.bmp" "../../gfx/textures/tex_snowrock.bmp"
	MOVE "tex_snowsand.bmp" "../../gfx/textures/tex_snowsand.bmp"
	REM Removing sh*t. I mean, empty folder.
	REM  **, ..  .
	CD ../../
	RD gfx_noirbackup /S /Q
	cls
	ECHO Noir mod succesfully uninstalled.
	REM :C
	pause
	cls
	GOTO MENU
)